﻿Type=StaticCode
Version=4.2
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Dim SQL1 As SQL
	Public InitialFilePath As String
	Public DBaseFilePath As String	
End Sub

Public Sub CreateSqlDatabase
	ObtainFilePath
	SQL1.InitializeSQLite(DBaseFilePath, "Movie.db", True)
	
'	DBUtils.DropTable(SQL1, "Movey")
	
	CreateMovies
End Sub

Private Sub ObtainFilePath
	Dim str1 As String
	
	str1 = GetSystemProperty("user.home","")
	If Not(File.IsDirectory(str1, "Our_Movies")) Then
		File.MakeDir(str1, "Our_Movies")
		InitialFilePath = File.Combine(str1, "Our_Movies")
	Else
		InitialFilePath = File.Combine(str1, "Our_Movies")		
	End If
	
	' DBase File Path
	If Not(File.IsDirectory(InitialFilePath, "data")) Then
		File.MakeDir(InitialFilePath, "data")
		DBaseFilePath = File.Combine(InitialFilePath, "data")
	Else
		DBaseFilePath = File.Combine(InitialFilePath, "data")		
	End If
End Sub

' EPISODES - Episode No - Episode Title
Private Sub CreateMovies
	Dim M As Map
	
	M.Initialize
	M.Put("Id", DBUtils.DB_INTEGER)			' + auto inc
	M.Put("Media", DBUtils.DB_TEXT)		
	M.Put("Movie", DBUtils.DB_TEXT)		
	M.Put("Info", DBUtils.DB_TEXT)
	M.Put("RunTime", DBUtils.DB_INTEGER)
	M.Put("Category", DBUtils.DB_TEXT)
	M.Put("OriginalDate", DBUtils.DB_TEXT)
	M.Put("LastUsedDate", DBUtils.DB_TEXT)
	M.Put("BigDate", DBUtils.DB_INTEGER)		
	
	DBUtils.CreateTable(SQL1, "Movey", M, "Id")	
End Sub